Get MMP Config
Get the MMP configuration for Block RFQ.
Endpoint
POST /api/block/rfqs/get_mmp_config
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| indexName | string | false | Index identifier of derivative instrument on the platform; skipping this parameter will return all configurations. Valid values: btc_usd, eth_usd, btc_usdc, eth_usdc, ada_usdc, algo_usdc, avax_usdc, bch_usdc, bnb_usdc, doge_usdc, dot_usdc, link_usdc, ltc_usdc, near_usdc, paxg_usdc, shib_usdc, sol_usdc, ton_usdc, trx_usdc, trump_usdc, uni_usdc, xrp_usdc, usde_usdc, buidl_usdc, btcdvol_usdc, ethdvol_usdc, btc_usdt, eth_usdt, all |
| mmpGroup | string | false | Specifies the MMP group for which the configuration is being retrieved. MMP groups are used for Mass Quotes. If MMP group is not provided, the endpoint returns the configuration for the MMP settings for regular orders. The indexName must be specified before using this parameter |
| blockRfq | boolean | false | If true, retrieves MMP configuration for Block RFQ. When set, requires blockRfq scope instead of trade scope. Block RFQ MMP settings are completely separate from normal order/quote MMP settings |
Request Example
{
"rid": 50001,
"method": "block/rfqs/get_mmp_config",
"params": {
"indexName": "btc_usd",
"blockRfq": true
}
}
Response
| Name | Type | Description |
|---|---|---|
| results | array | Array of MMP configuration objects |
| > blockRfq | boolean | If true, indicates MMP configuration for Block RFQ. Block RFQ MMP settings are completely separate from normal order/quote MMP settings |
| > deltaLimit | string | Delta limit |
| > frozenTime | long | MMP frozen time in seconds, if set to 0 manual reset is required |
| > indexName | string | Index identifier, matches (base) cryptocurrency with quote currency |
| > interval | integer | MMP Interval in seconds, if set to 0 MMP is disabled |
| > mmpGroup | string | Specified MMP Group |
| > quantityLimit | string | Quantity limit |
| > tradeCountLimit | string | For Block RFQ only. The maximum number of Block RFQ trades allowed in the lookback window. Each RFQ trade counts as +1 towards the limit (not individual legs). Works across all currency pairs |
| > vegaLimit | string | Vega limit |
Response Example
{
"rid": 50001,
"result": {
"results": [
{
"blockRfq": true,
"deltaLimit": "10.0",
"frozenTime": 5000,
"indexName": "btc_usd",
"interval": 1000,
"quantityLimit": "10.0",
"vegaLimit": "15.0"
}
]
}
}